GraphicsMagick 安全漏洞

2次阅读
没有评论

漏洞信息详情

GraphicsMagick 安全漏洞

  • CNNVD编号:CNNVD-201610-442
  • <!--

  • 危害等级: 中危-->
  • 危害等级: 中危

  • CVE编号: CVE-2016-8683

  • 漏洞类型:

    缓冲区溢出

  • 发布时间:

    2016-10-18

  • 威胁类型:

    远程

  • 更新时间:

    2017-02-16

  • 厂        商: debian
  • 漏洞来源: Agostino Sarubbo o...

漏洞简介

GraphicsMagick是一套简单的图像处理工具。该工具对图像提供尺寸调整、旋转、加亮等功能。

GraphicsMagick 1.3.25版本中的coders/pcx.c文件的‘ReadPCXImage’函数存在安全漏洞。远程攻击者可借助特制的图片利用该漏洞造成拒绝服务(应用程序崩溃)。

漏洞公告

目前厂商已经发布了升级补丁以修复此安全问题,详情请关注厂商主页:

http://www.graphicsmagick.org/

参考网址

来源:hg.code.sf.net

链接:http://hg.code.sf.net/p/graphicsmagick/code/rev/b9edafd479b9

来源:MLIST

链接:http://www.openwall.com/lists/oss-security/2016/10/16/7

来源:DEBIAN

链接:http://www.debian.org/security/2016/dsa-3746

来源:bugzilla.redhat.com

链接:https://bugzilla.redhat.com/show_bug.cgi?id=1385583

来源:blogs.gentoo.org

链接:https://blogs.gentoo.org/ago/2016/09/15/graphicsmagick-memory-allocation-failure-in-readpcximage-pcx-c/

来源:BID

链接:http://www.securityfocus.com/bid/93600

来源:SUSE

链接:http://lists.opensuse.org/opensuse-updates/2016-10/msg00094.html

受影响实体

  • Debian Debian_linux:8.0  

    <!--

    2000-1-1

    -->


补丁

  • GraphicsMagick 拒绝服务漏洞的修复措施

    <!--

    2016-10-18

    -->


admin
版权声明:本站原创文章,由 admin2022-01-14发表,共计1008字。
转载说明:除特殊说明外本站文章皆由CC-4.0协议发布,转载请注明出处。
评论(没有评论)
验证码